﻿{{if action=="add"}}
<div class="col-lg-12">
    {{/if}}
    <div class="card card-custom gutter-b shadow-none budget-card bg-gray-100" style="border:1px solid ${Cardcolor};" id="budget-card-${updatedItems[0].budgetItem.parentId}" data-color="${Cardcolor}">
        <div class="card-header budget-header" style="background:${Cardcolor}">
            <div class="card-title">
                <span class="card-icon">
                    <i class="la la-file-invoice-dollar icon-xl text-white"></i>
                </span>
                <h2 class="card-label text-white font-size-h3">${updatedItems[0].budgetItem.parent.itemName}</h2>
            </div>
        </div>
        <div class="card-body pt-2">
            <div class="font-size-h6">
                <table class="table table-sm mb-0 table-borderless table-budget">
                    <thead style="border-bottom:solid 1px ${ Cardcolor}">
                        <tr>
                            <td class="font-size-h6 font-weight-bold">Invest in Yourself</td>
                            <td class="font-size-h6 font-weight-bold text-right">Annual amount</td>
                            <td class="font-weight-bold font-size-h6 pl-2 pr-2">Inflationary?</td>
                            {{if isRevolvingDebt == true}}
                            <td class="font-size-h6 font-weight-bold pl-2 pr-2 text-right term-revolve">Balance owed</td>
                            <td class="font-size-h6 font-weight-bold text-right term-revolve">Years till payoff</td>
                            {{/if}}
                            <td></td>
                        </tr>
                    </thead>
                    <tbody>
                        {{each updatedItems}}
                        <tr data-guid="${guid}" data-budget-type="${budgetItem.parentId}" data-budget-item-id="${budgetItemId}">
                            <td>${budgetItem.itemName}</td>
                            <td class="w-60px text-right">
                                <span class="display-view amount">
                                    ${amountFormated}
                                </span>
                                <span class="edit-view d-none">
                                    <input value="${amount}" maxlength="12" class="form-control input-xs amount currency text-right autosize-textbox float-right none-zero" data-minlength="60" style="text-align: right;">
                                </span>
                            </td>
                            <td class="w-40px text-center">
                                <span class="display-view inflationary">
                                    ${inflationary==true?"Yes":"No"}
                                </span>
                                <span class="edit-view d-none">
                                    <span class="switch switch-outline switch-icon switch-custom switch-xs justify-content-center">
                                        <label>
                                            <input type="checkbox" class="inflationary" ${inflationary==true?"checked":""} />                                           
                                            <span></span>
                                        </label>
                                    </span>
                                </span>
                            </td>
                            {{if isRevolvingDebt == true}}
                            <td class="w-40px text-${balanceOwn>0?'right':'center'} term-revolve">
                                ${balanceOwn>0?balanceOwnFormated:"-"}
                            </td>
                            <td class="w-80px text-${yearsPayOff>0?'right':'center'} term-revolve">
                                ${yearsPayOff>0?yearsPayOff:"-"}
                            </td>
                            {{/if}}
                            <td class="w-60px">
                                <div class="display-view">
                                    <button class="btn btn-icon btn-xs btn-budget-edit" type="button">
                                        <i class="la la-pencil-alt icon-lg text-dark" data-toggle="tooltip" data-original-title="Edit"></i>
                                    </button>
                                    <button class="btn btn-icon btn-xs btn-budget-delete" type="button">
                                        <i class="la la-trash icon-lg text-dark" data-toggle="tooltip" data-original-title="Delete"></i>
                                    </button>
                                </div>
                                <div class="edit-view d-none">
                                    <button class="btn btn-icon btn-xs btn-budget-save" type="button">
                                        <i class="la la-save icon-lg text-dark" data-toggle="tooltip" data-original-title="Save"></i>
                                    </button>
                                    <button class="btn btn-icon btn-xs btn-budget-cancel" type="button">
                                        <i class="spinner spinner-primary spinner-sm d-none"></i>
                                        <i class="la la-remove icon-lg text-dark" data-toggle="tooltip" data-original-title="Cancel"></i>
                                    </button>
                                </div>
                            </td>
                        </tr>
                        {{/each}}
                    </tbody>
                    <tfoot style="border-top:solid 1px${Cardcolor}">
                        <tr style="color:${Cardcolor}">
                            <td class="font-weight-bold">Total</td>
                            <td class="text-right" id="total-${updatedItems[0].budgetItem.parentId}">${ totalFormated }</td>
                            <td></td>
                            {{if isRevolvingDebt == true}}
                            <td id="total-balanceown-${updatedItems[0].budgetItem.parentId}" class="text-${totalBalanceOwn>0?'right':'center'} term-revolve">${totalBalanceOwn>0?totalBalanceOwnFormated:"-"}</td>
                            <td class="term-revolve"></td>
                            {{/if}}
                            <td></td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    {{if action=="add"}}
</div>
{{/if}}